Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ConnectedWebsite

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ConnectedWebsite

Enclosing class:
  TdApi

public static final class TdApi.ConnectedWebsite extends TdApi.Object
Contains information about one website the current user is logged in with Telegram.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`botUserId`
User identifier of a bot linked with the website.
`String`
`browser`
The version of a browser used to log in.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`domainName`
The domain name of the website.
`long`
`id`
Website identifier.
`String`
`ipAddress`
IP address from which the user was logged in, in human-readable format.
`int`
`lastActiveDate`
Point in time (Unix timestamp) when obtained authorization was last used.
`String`
`location`
Human-readable description of a country and a region from which the user was logged in, based on the IP address.
`int`
`logInDate`
Point in time (Unix timestamp) when the user was logged in.
`String`
`platform`
Operating system the browser is running on.

## Constructor Summary

Constructors
Constructor
Description
`ConnectedWebsite()`
Contains information about one website the current user is logged in with Telegram.
`ConnectedWebsite(long id, String domainName, long botUserId, String browser, String platform, int logInDate, int lastActiveDate, String ipAddress, String location)`
Contains information about one website the current user is logged in with Telegram.
`ConnectedWebsite(DataInput input)`
Contains information about one website the current user is logged in with Telegram.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Website identifier.

### domainName

public String domainName
The domain name of the website.

### botUserId

public long botUserId
User identifier of a bot linked with the website.

### browser

public String browser
The version of a browser used to log in.

### platform

public String platform
Operating system the browser is running on.

### logInDate

public int logInDate
Point in time (Unix timestamp) when the user was logged in.

### lastActiveDate

public int lastActiveDate
Point in time (Unix timestamp) when obtained authorization was last used.

### ipAddress

public String ipAddress
IP address from which the user was logged in, in human-readable format.

### location

public String location
Human-readable description of a country and a region from which the user was logged in, based on the IP address.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ConnectedWebsite

public ConnectedWebsite()
Contains information about one website the current user is logged in with Telegram.

### ConnectedWebsite

public ConnectedWebsite(long id, String domainName, long botUserId, String browser, String platform, int logInDate, int lastActiveDate, String ipAddress, String location)
Contains information about one website the current user is logged in with Telegram.

Parameters:
  `id` - Website identifier.
  `domainName` - The domain name of the website.
  `botUserId` - User identifier of a bot linked with the website.
  `browser` - The version of a browser used to log in.
  `platform` - Operating system the browser is running on.
  `logInDate` - Point in time (Unix timestamp) when the user was logged in.
  `lastActiveDate` - Point in time (Unix timestamp) when obtained authorization was last used.
  `ipAddress` - IP address from which the user was logged in, in human-readable format.
  `location` - Human-readable description of a country and a region from which the user was logged in, based on the IP address.

### ConnectedWebsite

public ConnectedWebsite(DataInput input) throws IOException
Contains information about one website the current user is logged in with Telegram.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`